<?php

namespace NoccyLabs\React\Http\Controller;

use Psr\Http\Message\ResponseInterface;
use React\Http\Message\Response;
use Twig\Environment;

trait TwigTrait
{
    public static Environment $twig;

    protected function twigRender(string $template, array $context): string
    {
        return self::$twig->render($template, $context);
    }

    protected function twigResponse(string $template, array $context): ResponseInterface
    {
        return Response::html($this->twigRender($template, $context));
    }

}