<?php

namespace NoccyLabs\React\Http\Security;

class StaticUser implements UserInterface
{
    public function __construct(
        private readonly ?int $id,
        private readonly string $username,
        private readonly ?string $passwordHash,
        private readonly ?array $tokens,
        private readonly ?array $roles,
    )
    {
        
    }

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getUsername(): string
    {
        return $this->username;
    }

    public function getPasswordHash(): ?string
    {
        return $this->passwordHash;
    }

    public function getTokens(): ?array
    {
        return $this->tokens;
    }

    public function getRoles(): ?array
    {
        return $this->roles;
    }
    
}

