<?php

namespace NoccyLabs\React\Http\Session;

use ArrayAccess;
use Psr\Log\LoggerInterface;

interface SessionManagerInterface
{

    public function createSession(): SessionInterface;

    public function getSession(string $sessionId): SessionInterface;

    public function flush(): void;

}

